  <?php get_header(); ?>

  <div id="wrapper">
    <div id="header">
      <a href="<?php bloginfo('url'); ?>"><img src="<?php bloginfo('stylesheet_directory'); ?>/maintitle.php?letters=<?php bloginfo('name'); ?>" alt="<?php bloginfo('name'); ?>" /></a>
	  <img src="<?php bloginfo('stylesheet_directory'); ?>/sidebartitle.php?letters=<?php bloginfo('description'); ?>" alt="<?php bloginfo('description'); ?>" />
	</div>
	
    <div id="bigbox">
      <div id="topleft"></div>
	
	  <div id="content">
	    <div id="content_head">&nbsp;</div>

		
        <div id="content_middle">
	      <?php require("sidebar.php"); ?>
		  
	      <?php if (have_posts()) { ?>
		  <div id="post_block">
		    <?php while (have_posts()) : the_post();
		            require("post.php");
		          endwhile; ?>
		  </div> <!-- end #post_block //-->
		
		  <div class="spacer">&nbsp;</div>
			
	      <div class="left">
			<h4>Recent Posts:</h4>
			<ul><?php wp_get_archives('type=postbypost&limit=6'); ?></ul>
		  </div> <!-- end .left //-->
		  
		  <div class="middle">
			<h4>Blogroll:</h4>
			<ul>
              <?php wp_list_bookmarks('show_images=0&orderby=rand&show_rating=0&limit=6&title_li=&categorize=0'); ?>
			</ul>
		  </div> <!-- end .middle //-->
		  
		  <div class="right">
		    <h4>Valid</h4>
			<p>
			  <a href="http://validator.w3.org/check/referer" title="This page validates as XHTML 1.0 Transitional"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/valid_xhtml.gif" alt="Valid XHTML" /></a><br />
			  <a href="http://jigsaw.w3.org/css-validator/validator?uri=<?php bloginfo('url'); ?>"
				title="This page validates as CSS"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/valid_css.gif" alt="Valid CSS" /></a>
			</p>
		  </div> <!-- end .right //-->
			
		  <div class="spacer">&nbsp;</div>
		  
	      <?php } else { ?>
		  
		  <div class="full">
	        <h2>Not Found</h2>
	        <p>Sorry, but this blog is a virgin. Be gentle.</p>
		  </div>
		  
	      <?php } ?>
	    </div> <!-- end #content_middle //-->
	  
	    <div id="content_foot">
	      <!-- This is for the british flag; //-->
	      <div id="bottomright"></div>
		 
		  <?php if (function_exists("wp_theme_switcher")) { ?>
		  <div id="content_theme_switcher">
			<?php get_theme_switcher('dropdown'); ?>
		    <p>Theme:</p>
		  </div>
		  <?php } ?>
		  
	      <p>
		    <a href="http://validator.w3.org/check/referer" 
		      title="This page validates as XHTML 1.0 Transitional">Valid 
		      <abbr title="eXtensible HyperText Markup Language">XHTML</abbr></a>&nbsp;&bull;
			<a href="http://jigsaw.w3.org/css-validator/validator?uri=http://www.richarddows.co.uk/index.php"
				title="This page validates as CSS">Valid CSS</a>&nbsp;&bull;
		    <a href="<?php bloginfo('rss2_url'); ?>" 
		      title="<?php _e('Syndicate this site using RSS'); ?>">
			  <img src="<?php bloginfo('template_url') ?>/images/rssicon.png" alt="RSS" />
			  <?php _e('Site <abbr title="Really Simple Syndication">RSS</abbr>'); ?></a>&nbsp;&bull;
		    <a href="<?php bloginfo('comments_rss2_url'); ?>" 
		      title="<?php _e('The latest comments to all posts in RSS'); ?>">
			  <img src="<?php bloginfo('template_url'); ?>/images/rssicon.png" alt="RSS" />
			  <?php _e('Site Comments <abbr title="Really Simple Syndication">RSS</abbr>'); ?></a>
		  </p>
	    </div> <!-- end #content_foot //-->
	  </div> <!-- end #content //-->
	</div> <!-- end #bigbox //-->
	
    <?php get_footer(); ?>