  <?php // Do not delete these lines
  if ('comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
	die ('Please do not load this page directly. Thanks!');

  // if there's a password
  if (!empty($post->post_password)) 
  { 
    // and it doesn't match the cookie
    if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) 
	{  
  ?>
	  <p class="nocomments">
  <?php _e("This post is password protected. Enter the password to view comments."); ?>
	  <p>
  <?php
	  return;
    }
  }

  // This variable is for alternating comment background
  $oddcomment = 'alt';
  ?>
  
  
  

  <a id="comments"></a>
  <?php if ($comments) { ?>
  <div class="commentsdiv">
	<div class="commentsdiv-right">
      <!--
	    T R A C K B A C K S   /   P I N G B A C K S 
	    -->
	<?php $post_count = 0; ?>
    <?php foreach ($comments as $comment) : ?>
	  <?php if ($comment->comment_type == "trackback" || $comment->comment_type == "pingback" || 
			ereg("<pingback />", $comment->comment_content) || 
			ereg("<trackback />", $comment->comment_content)) { $post_count++; ?>
			
        <?php if (!$runonce) { $runonce = true; ?>

	  <div class="comments-header">
        <h2>Trackbacks &amp; Pingbacks &bull; <span>[<?php comments_rss_link('comment feed'); ?>]</span></h2>
	  </div>
        <?php } ?>
		
	  <div class="comments">
	    <div class="comments-top"></div> <!-- end .comments-top //-->
		
	    <div class="comments-middle">
	      <span class="comments-number"><?php echo $post_count; ?></span>
	 	  <?php comment_text(); ?>
	    </div> <!-- end .comments-middle //-->
		
	    <div class="comments-bottom">
          Trackback from <?php comment_author_link() ?> &#8212; <?php comment_date('F jS, Y') ?>	
	    </div> <!-- end .comments-bottom //-->
	  </div> <!-- end .comments //-->
	  <?php } ?>
	<?php endforeach; $post_count = 0; ?>
	 
    <?php if ($runonce) { $runonce = !$runonce; } ?>
	
	</div> <!-- end .commentsdiv-right //-->
  

	<div class="commentsdiv-right">
      <!--
	    C O M M E N T S
	    -->
    <?php foreach ($comments as $comment) : ?>
      <?php if ($comment->comment_type != "trackback" && $comment->comment_type != "pingback" && 
	       !ereg("<pingback />", $comment->comment_content) && 
		   !ereg("<trackback />", $comment->comment_content)) { $post_count++; ?>	
		   
        <?php if (!$runonce) { $runonce = true; ?>
	  <div class="comments-header">
        <h2>Comments &bull; <span>[<?php comments_rss_link('comment feed'); ?>]</span></h2>
	  </div> <!-- end .comments-header -->
        <?php } ?>	
			     
	  <!--
	    Checking to see if the commenter is the blog owner/admin, if so change the
		class so we can colour it differently;
		//-->
      <?php if ($comment->user_id == 1 || $comment->user_id == 10) { ?>
	  <div class="comments owner">
      <?php } else { ?>
      <div class="comments">
      <?php } ?>
	    <div class="comments-top"></div>
        <div class="comments-middle">
		  <!--
		    The gravatar functionality;
		    //-->
	      <?php if (function_exists("get_gravatar")) { ?>
		  <span class="comments-gravatar"><?php echo get_avatar(get_comment_author_email(), '60'); ?></span>
		  <?php } else { ?>
	      <span class="comments-gravatar">
			<?php $grav_url = "http://www.gravatar.com/avatar.php?gravatar_id=" . md5(get_comment_author_email()) . "&amp;default=" . urlencode($default) . "&amp;size=60"; echo "<img src='$grav_url' alt='Gravatar' />"; ?>
		  </span>
		  <?php } ?>
		
		  <a name="comment-<?php comment_ID(); ?>" title="Comment <?php echo $post_count; ?>">
		    <span class="comments-number"><?php echo $post_count; ?></span>
		  </a>
		  <?php comment_text(); ?>
		  <p>
	      <?php if ($comment->comment_approved == '0') { ?>
	        <strong>Your comment is awaiting moderation.</strong>
	      <?php } ?>
	      </p>
	    </div> <!-- end .comments-middle -->
	    <div class="comments-bottom">
	  	Comment posted by <?php comment_author_link(); ?> on <?php comment_date('F jS, Y'); ?>
	    </div> <!-- end .comments-bottom -->
	  </div> <!-- end .comments -->
        
	  <?php } ?>
    <?php endforeach; $post_count = 0; ?>
	
    <?php if ($runonce) { ?>
	  <?php $runonce = !$runonce; ?>
    <?php } ?>
	</div>
  </div> <!-- end .commentsdiv //-->
  
  <br />
  
  <?php } else { ?>

	<!-- 
	  If comments are open, but there are no comments. 
	  -->
    <?php if ('closed' == $post->comment_status) { ?> 
  <div class="commentsdiv">
	<div class="comments">
	  <div class="comments-top"></div>
	  <div class="comments-middle">
        <p>Comments are closed. Please check back later.</p>
	  </div>
	  <div class="comments-bottom">&nbsp;</div>
	</div> <!-- end .comments -->
  </div> <!-- end .commentsdiv -->
	<?php } ?>
  <?php } ?>



  <?php if ('open' == $post->comment_status) { ?>
    <?php if (get_option('comment_registration')) { ?>
  <div class="commentsdiv">
	<div class="comments-header">
      <h2>
      <?php if ($user_ID) { ?>
        Logged in as 
		<a href="<?php bloginfo('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>.
  	    <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" 
			title="Log out of this account?">Logout?</a>
		Leave a Reply?
	  <?php } else if (!$user_ID) { ?>
        You must 
		<a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php the_permalink(); ?>"
		    title="Login">login</a> before replying.
      <?php } ?> <!-- end of $user_ID -->
	  </h2>
   	</div> <!-- end .comments-header -->
	
	  <?php if ($user_ID) { ?>
	<div class="commentform">
	  <form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
	   
	  <div class="commentform-headers">
	    <p class="small">You can use these tags: <em><?php echo allowed_tags(); ?></em></p>
	  </div> <!-- end .commentform-headers -->
	   
	  <div class="commentform-textarea">
        <textarea name="comment" id="comment" cols="50" rows="10" tabindex="1"></textarea>
	  </div> <!-- end .commentform-textarea -->
	   
	  <div class="commentform-buttons">
        <input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
      <?php do_action('comment_form', $post->ID); ?>
		<input name="submit" type="submit" id="submit" tabindex="2" value=" Say It! " />
		<input name="reset" type="reset" id="reset" tabindex="3" value=" Re-Think Comment" /> 
	  </div> <!-- end .commentform-buttons -->
	   
	  </form>
	</div> <!-- end .commentform -->
	  <?php } ?>
  </div> <!-- end .commentsdiv -->
	
	<!--
	  Comment registration not required
	  -->
	<?php } else { ?>
  <div class="commentsdiv">
	<div class="comments-header">
      <h2>Leave a Reply?</h2>
	</div> <!-- end .comments-header -->
	
	<div class="commentform">
      <form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
      <?php if (!$user_ID) { ?>
	  <div class="commentform-inputs">
	    <div class="row">
		  <label class="text"><?php wp_loginout(); ?></label>
		  <span>OR REPLY BELOW ... </span>
		</div>
		<div class="row">
	      <label for="author" class="text">Name:</label>
	      <input type="text" name="author" id="author" value="" class="text" tabindex="1" />
		</div>
		<div class="row">
	      <label for="email" class="text">Email:</label>
	      <input type="text" name="email" id="email" value="" class="text" tabindex="2" /><br />
		</div>
		<div class="row">
	      <label for="url" class="text">Website:</label>
	      <input type="text" name="url" id="url" value="" class="text" tabindex="3" /><br />
	    </div>
	  </div> <!-- end .commentform-inputs -->
	  <?php } ?>
	
	  <div class="commentform-headers">
        <p class="small">You can use these tags: <em><?php echo allowed_tags(); ?></em></p>
      </div> <!-- end .commentform-headers -->
		
	  <div class="commentform-textarea">
        <textarea name="comment" id="comment" cols="50" rows="10" tabindex="4"></textarea>
	  </div> <!-- end .commentform-textarea -->

      <div class="commentform-buttons">
        <input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
        <?php do_action('comment_form', $post->ID); ?>
		<input name="submit" type="submit" id="submit" tabindex="5" value=" Say It! " />
		<input name="reset" type="reset" id="reset" tabindex="3" value=" Re-Think Comment " /> 
      </div> <!-- end .commentform-buttons -->
	  </form>
    </div> <!-- end .commentform -->
  </div> <!-- end .commentsdiv -->
	<?php } ?>
  <?php } else { ?>
  <div class="commentsdiv">
	<div class="comments">
	  <div class="comments-top"></div>
	  <div class="comments-middle">
        <p>Comments are closed. Please check back later.</p>
	  </div>
	  <div class="comments-bottom">&nbsp;</div>
	</div> <!-- end .comments -->
  </div> <!-- end .commentsdiv -->
  <?php } ?>